#include <bits/stdc++.h>
using namespace std;
int main(){
    string s,s1,s2,novi;
    int a1,a2,r=0;
    cin >> s >> a1 >> a2;
    s1=s[0];
    s2=s[1];
    if((abs(a1-a2))>1)
        cout << "nemoguce";
    else{
        if(a1>a2){
            for(int i=1;i<a1+a2;i=i+2){
                novi=novi+s1+s2;
            }
            novi=novi+s1;
        }
        if(a2>a1){
            for(int j=1;j<a1+a2;j=j+2){
                novi=novi+s2+s1;
            }
            novi=novi+s2;
        }
        if(a1==a2){
            for(int k=0;k<a1+a2;k=k+2){
                novi=novi+s1+s2;
            }
        }




    }
    cout << novi;

}